# $Id: mailscanner-mrtg.spec,v 1.4 2003/10/31 18:15:51 kevinspicer Exp $
%define version 0.06
%define name    mailscanner-mrtg

Name:        %{name}
Version:     %{version}
Release:     2
Summary:     mrtg monitor for MailScanner EMail virus scanner and spam detector
Group:       Applications/Internet
Copyright:   GPL
Vendor:      Kevin Spicer
Packager:    Kevin Spicer <kevin@kevinspicer.co.uk>
URL:         http://mailscannermrtg.sourceforge.net/
Requires:    mailscanner >= 4.0, mrtg >= 2.9, sysstat, perl >= 5.005, webserver
BuildRequires:    perl >= 5.005
Source:      %{name}-%{version}.tar.gz
BuildRoot:   %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
  mailscanner-mrtg provides configuration files, web pages, and related 
perl scripts for mrtg to monitor many aspects of your MailScanner machine. 
With it you will be able to monitor things like:

Mail Relayed			Files in incoming queue
Spam Identified			Files in outgoing queue
Virii Caught			Memory (Ram) Used & Free
Copies of Sendmail Running	Load Average
Copies of MailScanner Running	CPU Utilization
Disk Space Used in /var/spool	Disk Space Used in /

  And more!

  Many items can be configured in mailscanner-mrtg by editing the 
/etc/MailScanner/mailscanner-mrtg.conf file.

  For most RedHat 8.0, 7.3 and 7.2 machines no configuration should be 
necesary. Merely install mailscanner-mrtg and point your browser to 
http://yourserver/mailscanner-mrtg/
.

%prep
%setup

%build

%install
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/MailScanner/
mkdir -p ${RPM_BUILD_ROOT}/etc/mrtg/
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.d/
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin/
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man1/
mkdir -p ${RPM_BUILD_ROOT}/etc/httpd/conf/

for i in 	cpu inqueue iptraffic loadavg mail mailbytes \
		mailscanner memory outqueue rootusage sendmail spam \
		spoolusage tmpfsusage virus
do
  mkdir -p ${RPM_BUILD_ROOT}/var/www/html/mailscanner-mrtg/$i
done 

install mailscanner-mrtg.conf	${RPM_BUILD_ROOT}/etc/MailScanner/
install mailscanner-mrtg.cfg	${RPM_BUILD_ROOT}/etc/mrtg/
install mailscanner-mrtg.crond	${RPM_BUILD_ROOT}/etc/cron.d/
install mailscanner-mrtg	${RPM_BUILD_ROOT}/usr/sbin/
install mailscanner-mrtg.include ${RPM_BUILD_ROOT}/etc/httpd/conf/
install web/*			${RPM_BUILD_ROOT}/var/www/html/mailscanner-mrtg/

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre

%post

# In the first RPM's I just put a line /etc/crontab
# Let's take that out and make a file in /etc/cron.d
# Thanks to Richard Keech for this idea!
perl -p -i -e "s/0-59.+mailscanner-mrtg.cfg\n//" /etc/crontab

echo ""
echo "Running MRTG to get your initial graphs (Could be slow)"
/usr/bin/mrtg /etc/mrtg/mailscanner-mrtg.cfg > /dev/null 2> /dev/null
/usr/bin/mrtg /etc/mrtg/mailscanner-mrtg.cfg > /dev/null 2> /dev/null
/usr/bin/mrtg /etc/mrtg/mailscanner-mrtg.cfg > /dev/null 2> /dev/null

if [ "$1" = "1" ]; then #Fresh Install
cat >> /etc/httpd/conf/httpd.conf << EOF
Include /etc/httpd/conf/mailscanner-mrtg.include
EOF
/sbin/service httpd restart

fi

%preun

%postun
if [ "$1" = "0" ]; then
  # Oh Crap... We are being deleted!
  perl -p -i -e "s/Include.+mailscanner-mrtg.include\n//" /etc/httpd/conf/httpd.conf

  rm -f /etc/mrtg/mailscanner-mrtg*
fi
exit 0

%files
%defattr(-,root,root)
%attr(755,-,-) /usr/sbin/mailscanner-mrtg
%attr(644,-,-) /etc/httpd/conf/mailscanner-mrtg.include
%config /var/www/html/mailscanner-mrtg/
%config %attr(644,-,-)/etc/MailScanner/mailscanner-mrtg.conf
%config %attr(644,-,-)/etc/mrtg/mailscanner-mrtg.cfg
%config(noreplace) %attr(644,-,-)/etc/cron.d/mailscanner-mrtg.crond
%doc docs/BUGS
%doc docs/COPYING
%doc docs/README
%doc docs/CHANGELOG
%doc docs/TODO

%changelog
* Fri Oct 31 2003 Kevin Spicer <kevin@kevinspicer.co.uk>
- Version 0.06-2 (release version)
- Few small fixes (see CHANGELOG file)

* Fri Oct 24 2003 Kevin Spicer <kevin@kevinspicer.co.uk>
- Version 0.06 (test build)
- Updated Packager Details
- Added tmpfsusage directory

* Sun Dec 8 2002 Dale Lovelace <dlovelace@hotels.com>
- Up to 0.03
- Change the way we add the crontab entry 
- Only add Apache include on fresh install
- Add iptraffic and mailbytes graphs
- Add mailscanner-mrtg.crond file to /etc/cron.d

* Sun Dec 8 2002 Dale Lovelace <dlovelace@hotels.com>
- Up to 0.02
- Add docs/CHANGELOG and docs/TODO
- Modify description - works with Red Hat 7.2
- Add mailscanner-mrtg.include file for Apache
- Modify httpd.conf file to Include /etc/httpd/conf/mailscanner-mrtg.include
- Remove the Include line from httpd.conf on uninstall

* Sat Dec 7 2002 Dale Lovelace <dlovelace@hotels.com>
- First crack at an RPM

